Bug 227063 - [NEW PORT] net-im/matterircd: IRC bridge for Mattermost and Slack
Summary: [NEW PORT] net-im/matterircd: IRC bridge for Mattermost and Slack
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Danilo G. Baio
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-03-29 12:19 UTC by norrland
Modified: 2018-04-01 13:45 UTC (History)
1 user (show)

See Also:


Attachments
UIDs, GIDs & net-im/matterircd initial commit (5.38 KB, patch)
2018-03-29 12:19 UTC, norrland
norrland: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description norrland 2018-03-29 12:19:23 UTC
Created attachment 191923 [details]
UIDs, GIDs & net-im/matterircd initial commit

New port for the https://github.com/42wim/matterircd software.

Tested on: 10.3, 10.4, 11.1 and 12.0-CURRENT without any problem.
`portlint -AC` is fine as well.
Comment 1 commit-hook freebsd_committer 2018-03-31 15:35:27 UTC
A commit references this bug:

Author: dbaio
Date: Sat Mar 31 15:35:23 UTC 2018
New revision: 466052
URL: https://svnweb.freebsd.org/changeset/ports/466052

Log:
  Add net-im/matterircd: IRC bridge for Mattermost and Slack

  Minimal IRC server which integrates with Mattermost and Slack.

  Connect to your local/remote Mattermost installation or to Slack via your
  IRC-client.

  WWW: https://github.com/42wim/matterircd

  PR:		227063
  Submitted by:	norrland@nullbyte.se

Changes:
  head/GIDs
  head/UIDs
  head/net-im/Makefile
  head/net-im/matterircd/
  head/net-im/matterircd/Makefile
  head/net-im/matterircd/distinfo
  head/net-im/matterircd/files/
  head/net-im/matterircd/files/matterircd.in
  head/net-im/matterircd/pkg-descr
  head/net-im/matterircd/pkg-plist
Comment 2 Danilo G. Baio freebsd_committer 2018-03-31 15:38:36 UTC
Committed with a few changes.
Thanks for your contribution!
Comment 3 commit-hook freebsd_committer 2018-04-01 13:45:29 UTC
A commit references this bug:

Author: dbaio
Date: Sun Apr  1 13:45:23 UTC 2018
New revision: 51526
URL: https://svnweb.freebsd.org/changeset/doc/51526

Log:
  Add Andreas Karlsson to contributors

  Maintainer of net-im/matterircd.

  PR:		227063

Changes:
  head/en_US.ISO8859-1/articles/contributors/contrib.additional.xml